#!/usr/bin/perl
# create_mail.pl

sub create_mail_aliases_file{
    my($kind)=shift; # to recycle for migrations, etc.
    my(%type)=('open',1,'closed',1,'broadcast',1,'moderated',1);
    $aliases="${listname}.aliases";
    open(FILE,">$homedir/applications/$aliases");
#    print FILE "Cc: $me\n";
    print FILE "Subject: please add the following majordomo aliases\n\n";
    print FILE "# $listname mailing list aliases (majordomo om $mdhost)\n";
    print FILE "# $description\n";
    print FILE "# $dept\n#\n";
    print FILE "owner-$listname: $owner\n";

    if($type{$list_type}){	# all legal types need resend magic
	print FILE "$listname: \"$wrapper resend -l $listname -h $mdhost ${listname}-outgoing\"\n";
	print FILE "${listname}-outgoing: :include:$listdir/$listname\n";
    }
    else{die "unknown list type $list_type\n";}

    print FILE "$listname-approval: owner-$listname\n";
    print FILE "$listname-request: owner-$listname\n";
    print FILE "\n";
    print FILE "\n";
    print FILE "Sendmail virtualusertable entries if needed for $mdhost\n";
    print FILE "\n";
    print FILE "#\n";
    print FILE "# $listname mailing list on $mdhost\n";
    print FILE "#\n";
    print FILE "owner-$listname\@$mdhost:\towner-$listname-$mdhost\n";
    print FILE "$listname\@$mdhost:\t$listname-$mdhost\n";
    print FILE "$listname-outgoing\@$mdhost:\t$listname-outgoing-$mdhost\n";
    print FILE "$listname-approval\@$mdhost:\t$listname-approval-$mdhost\n";
    print FILE "$listname-request\@$mdhost:\t$listname-request-$mdhost\n";

    close(FILE);
}
1;
