# get_owners.pl (/home/majordom/applications)
# Created:      Wed Oct  8 12:11:33 PDT 1997
# Last updated: Thu Apr 13 14:48:00 PDT 2000

sub get_owners{
    my($file);
    foreach $file (@_){  # list of files to look at
	open(ALIASES,$file) || die "could not open $file for ALIASES\n";
	while(<ALIASES>){
	    chop;
	    next unless /^owner-([^:]+)/;
	    next if /\-archive/; # don't include owner-...-archive
	    next if /\-outgoing/; # don't include owner-...-outgoing
	    next if /\-request/; # don't include owner-...-request
	    next if /\-approval/; # don't include owner-...-approval
	    $owner{$1}++; # mark it present # $1 is listname from the match
	}
	close(ALIASES); # now we know all the owner aliases
    }
    delete $owner{'majordom'}; # lose this one as it isn't a list
}
1;
